Subject: Re: RFC/T: Possible fix for bcm43xx periodic work bug

From: Larry Finger <[email-masked]>
Date: Mon, 11 Sep 2006 09:37:19 -0500

Erik Mouw wrote:
> On Fri, Sep 08, 2006 at 08:36:36AM -0500, Larry Finger wrote:
>> Erik Mouw wrote:
>>> Thanks for the information, pulled wireless-2.6 and recompiling kernel.
>>> If this really fixes the problem, can we try to get it merged before
>>> 2.6.18 closes? I don't know if vanilla 2.6.18-rc6 locks up on other
>>> hardware as well, but if it does it would be a major regression against
>>> 2.6.17.
>> I'm trying. At the moment, I'm testing a patch against 2.6.18-rc6. Once it works here, I'll be 
>> putting it out for testing.
> 
> I suppose that's the patch in "[PATCH] fix for system lockups in
> 2.6.18-rcX caused by bcm43xx"?

Yes.
> 
> FWIW: 2.6.18-rc6+wireless-2.6 runs well, my laptop didn't lock up over
> the weekend.

It seems to hurt some hardware much worse than others. My BCM4306 Rev 2 could
not run without failure longer than ~6 hours, and sometimes as short as 10 minutes,
before the patch. I've now completed the equivalent of 3 weeks without a failure
(I'm running the preemptible periodic work every second instead of every minute).

Larry